View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001072Ecere SDKcompilerpublic2014-04-01 17:212014-05-19 01:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityblockReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0001072: Non-Conversion properties 'set' for unit type are not working
Descriptione.g. SecSince1970:


public class SecSince1970 : int64
{
public:
   property SecSince1970 global
   {
      set { }
   }
}

produces:

void __ecereProp_SecSince1970_Set_global(int64 this, int64 value)

This is breaking Clang/OS X Mavericks build to fail.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001210)
jerome (administrator)
2014-04-01 20:42

This code should actually generate an error.
(0001211)
jerome (administrator)
2014-04-02 03:48

Fixed by:
https://github.com/ecere/ecere-sdk/commit/d0d99da885cb22b451821053009c5af5abe39be0 [^]
https://github.com/ecere/ecere-sdk/commit/1dbaa78112a79adeb360176f807b665d1e16ce6d [^]

- Issue History
Date Modified Username Field Change
2014-04-01 17:21 jerome New Issue
2014-04-01 17:21 jerome Status new => assigned
2014-04-01 17:21 jerome Assigned To => jerome
2014-04-01 18:40 jerome Summary Conversion properties are not working for unit type => Non-Conversion properties 'set' for unit type are not working
2014-04-01 20:42 jerome Note Added: 0001210
2014-04-02 03:48 jerome Status assigned => resolved
2014-04-02 03:48 jerome Fixed in Version => 0.44.10 64
2014-04-02 03:48 jerome Resolution open => fixed
2014-04-02 03:48 jerome Note Added: 0001211
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker